Fapi_SetBranchCB(3)

NAME
Fapi_SetBranchCB - Fapi_SetBranchCB

SYNOPSIS

  Typedefs

typedef TSS2_RC(* Fapi_CB_Branch) (char const *objectPath, char const *description, char const **branchNames, size_t numBranches, size_t *selectedBranch, void *userData)

  Functions

TSS2_RC Fapi_SetBranchCB (FAPI_CONTEXT *context, Fapi_CB_Branch callback, void *userData)

Detailed Description

FAPI functions to invoke SetBranchCB.

Function Documentation

  TSS2_RC Fapi_SetBranchCB (FAPI_CONTEXT * context, Fapi_CB_Branch callback, void * userData)
This function registers a callback that will be invoked whenever the FAPI has to decide which branch of a Policy-OR policy to use to authorize a particular FAPI operation.

Parameters
    context The FAPI_CONTEXT
    callback The callback function for branch selection
    userData A pointer that is provided to all callback invocations

Return values
    TSS2_RC_SUCCESS if the function call was a success.
    TSS2_FAPI_RC_BAD_REFERENCE if the context is NULL.
    TSS2_FAPI_RC_BAD_CONTEXT if context corruption is detected.
    TSS2_FAPI_RC_MEMORY if the FAPI cannot allocate enough memory for internal operations or return parameters.
    TSS2_FAPI_RC_BAD_SEQUENCE if the synchronous or Async functions are called while the context has another asynchronous operation outstanding, or the Finish function is called while the context does not have an appropriate asynchronous operation outstanding.
    TSS2_FAPI_RC_IO_ERROR if the data cannot be saved.

Author

Generated automatically by Doxygen for tpm2-tss from the source code.